<template>
    <div class="header">
        <div class="home-section">
            <img class="logo" src='../assets/icon-left-font-monochrome-black.svg' />
        </div>
        
        <div class="user-section" v-if="$store.state.isUserLoggedIn">
        <router-link class="user-link" to="messages">Les messages</router-link>
        <router-link class="user-link" to="create-message">Ecrire un message</router-link>
        <router-link class="user-link" to="profile">Mon profil</router-link>
        <button class="logout-btn" @click="logout">Se déconnecter</button>
        </div>
    </div>
</template>

<script>
// @ is an alias to /src
export default {
    methods: {
        logout() {
            localStorage.removeItem('token');
            this.$store.dispatch('setToken', null)
            this.$store.dispatch('setUser', null)
            this.$router.push('/')
        }
    }

}
</script>

<style scoped>
.header {
    width: 95%;
    background-color: #d7d7d7;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    margin: 0 auto;
    border-radius: 10px;    
}
.logo {
    width: 200px;
}
.home-link, .user-link {
    color: #091f43 !important;
    text-decoration: none;
}
.home-link {
    padding-left: 10px;
}
.user-link {
    padding: 0 15px 0 15px;
}
.logout-btn {
    padding: 10px 15px;
    background-color: #091f43;
    border-radius: 10px;
    color: white;
    margin-left: 15px;
}
@media (min-width: 720px) and (max-width: 950px) {
  .header {
      display: flex;
      flex-direction: column;
      margin: 0 auto;
  }
  .logo {
      margin-bottom: 15px;
  }
}
@media (max-width: 719px) {
     .header {
      display: flex;
      flex-direction: column;
      margin: 0 auto;
  }
    .user-section {
        display: flex;
        flex-direction: column;
    }
      .logo {
      margin-bottom: 15px;
  }
  .user-link, .logout-btn {
    margin-top: 15px;
}
}
</style>
